Find lookalike companies from a seed domain
curl --request POST \
--url https://api.aisa.one/apis/v1/findymail/lookalike-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seed": "stripe.com",
"limit": 5000
}
'import requests
url = "https://api.aisa.one/apis/v1/findymail/lookalike-search"
payload = {
"seed": "stripe.com",
"limit": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seed: 'stripe.com', limit: 5000})
};
fetch('https://api.aisa.one/apis/v1/findymail/lookalike-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/findymail/lookalike-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'seed' => 'stripe.com',
'limit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/findymail/lookalike-search"
payload := strings.NewReader("{\n \"seed\": \"stripe.com\",\n \"limit\": 5000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/findymail/lookalike-search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"seed\": \"stripe.com\",\n \"limit\": 5000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/findymail/lookalike-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"seed\": \"stripe.com\",\n \"limit\": 5000\n}"
response = http.request(request)
puts response.read_bodyFindymail
Find lookalike companies from a seed domain
returns {companies: [{domain, name, linkedin_url, company_size, country}], total, credits_used} — `credits_used` reports the actual charge back to you
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0198 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
findymail
/
lookalike-search
Find lookalike companies from a seed domain
curl --request POST \
--url https://api.aisa.one/apis/v1/findymail/lookalike-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seed": "stripe.com",
"limit": 5000
}
'import requests
url = "https://api.aisa.one/apis/v1/findymail/lookalike-search"
payload = {
"seed": "stripe.com",
"limit": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seed: 'stripe.com', limit: 5000})
};
fetch('https://api.aisa.one/apis/v1/findymail/lookalike-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/findymail/lookalike-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'seed' => 'stripe.com',
'limit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/findymail/lookalike-search"
payload := strings.NewReader("{\n \"seed\": \"stripe.com\",\n \"limit\": 5000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/findymail/lookalike-search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"seed\": \"stripe.com\",\n \"limit\": 5000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/findymail/lookalike-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"seed\": \"stripe.com\",\n \"limit\": 5000\n}"
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: POST /apis/v1/findymail/lookalike-search
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/findymail/lookalike-search - Runtime 事实版本: 15351a190ce5e5e9b8017e118e0a5bd9229c4da9d6d4cf1f6c6cb82085f55e55
{
"operationId": "findymail.lookalike-search",
"method": "POST",
"path": "/apis/v1/findymail/lookalike-search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"seed": {
"type": "string",
"description": "the seed company's domain",
"examples": [
"stripe.com"
]
},
"same_country": {
"type": "boolean",
"description": "restrict results to the seed's country"
},
"same_size": {
"type": "boolean",
"description": "restrict results to the seed's headcount band"
},
"limit": {
"maximum": 10000,
"minimum": 1,
"type": "integer",
"description": "max companies to return, default 100, up to 10000 — THIS IS THE PRICE DIAL"
},
"exclusion_list_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "ids of saved exclusion lists whose domains should be dropped from the results"
}
},
"required": [
"limit",
"seed"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0198,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0198 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0198
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_header
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
the seed company's domain
示例:
"stripe.com"
max companies to return, default 100, up to 10000 — THIS IS THE PRICE DIAL
必填范围:
1 <= x <= 10000restrict results to the seed's country
restrict results to the seed's headcount band
ids of saved exclusion lists whose domains should be dropped from the results
响应
成功响应